Projects
Create a new project
POST
Manage projects. Requires a master API key. Experimental: the request and response shapes may still change.
header
Authorization<token>Format: Authorization: Token {api_key}
Project object to be created
application/json- body
project?Project created successfully
application/json- response
id?stringUUID of the project
Format
uuidname?stringName of the project
subdomain?stringSubdomain for the project
custom_domain?stringCustom domain for the project
custom_domain_verified?booleanWhether the custom domain is verified
links_count?integerNumber of links in the project
Example Request
curl -X POST 'https://dynalinks.app/api/v1/projects' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "550e8400-e29b-41d4-a716-446655440000", "name": "My Project", "subdomain": "myproject", "custom_domain": null, "custom_domain_verified": false, "links_count": 0}